{
  "fiscript": [
    {
      "script_name": "nodes_properties.ini",
      "script_patch": "/opt/huawei/Bigdata/om-server/om/etc/om/omscfg/nodes_properties.ini",
      "config_list": [
        {
          "current_conf": "PMS::::pms.mem::/opt/huawei/Bigdata/om-server_8.0.2.1/OMS/workspace/conf/pms/application.properties::.*m",
          "customized_conf": "PMS::::pms.mem::/opt/huawei/Bigdata/om-server_8.0.2.1/OMS/workspace/conf/pms/application.properties::3072m"
        }
      ]
    },
    {
      "script_name": "omm_s_pm_ctl.sh",
      "script_patch": "/opt/huawei/Bigdata/om-server/OMS/workspace0/bin/omm_s_pm_ctl.sh",
      "config_list": [
        {
          "current_conf": "JvmMemSet=\"-Xms$pmsmem -Xmx$pmsmem -Xss256k -XX:OnOutOfMemoryError=\\\"echo $JvmMemoryFlow >> ${LOGFILE};kill -9 %p\\\"\"",
          "customized_conf": "JvmMemSet=\"-Xms$pmsmem -Xmx$pmsmem -Xss256k -XX:MaxDirectMemorySize=64M -XX:MaxInlineLevel=1 -XX:InlineSmallCode=25 -XX:CompileThreshold=100000 -XX:MinInliningThreshold=25000 -XX:OnStackReplacePercentage=14000 -XX:MaxInlineSize=3 -XX:-InlineSynchronizedMethods -XX:OnOutOfMemoryError=\\\"echo $JvmMemoryFlow >> ${LOGFILE};kill -9 %p\\\"\""
        }
      ]
    },
    {
      "script_name": "pms_config.properties",
      "script_patch": "/opt/huawei/Bigdata/om-server/OMS/workspace/conf/pms/pms_config.properties",
      "config_list": [
        {
          "current_conf": "pms_diskUsageThreshold=.*",
          "customized_conf": "pms_diskUsageThreshold=65"
        },
        {
          "current_conf": "pms_freeSpaceThreshold=.*",
          "customized_conf": "pms_freeSpaceThreshold=15000"
        },
        {
          "current_conf": "pms_deleteOldTableDays=.*",
          "customized_conf": "pms_deleteOldTableDays=5"
        },
        {
          "current_conf": "pms_maxDeleteMetricPeriod=.*",
          "customized_conf": "pms_maxDeleteMetricPeriod=3000"
        }
      ]
    },
    {
      "script_name": "application.properties",
      "script_patch": "/opt/huawei/Bigdata/om-server/OMS/workspace/conf/pms/application.properties",
      "config_list": [
        {
          "current_conf": "pms.mem=.*m",
          "customized_conf": "pms.mem=3072m"
        }
      ]
    }
  ],
  "finodescript": [
  ],
  "need_kill_process": "true"
}